apiVersion: remediation.medik8s.io/v1alpha1
kind: NodeHealthCheck
metadata:
  name: nhc-escalation
spec:
  minHealthy: 30%
  escalatingRemediations:
  - remediationTemplate:
      apiVersion: '0'
      kind: '0'
      name: '0'
      namespace: '0'
    order: 0
    timeout: 60s
  - remediationTemplate:
      apiVersion: '1'
      kind: '1'
      name: '1'
      namespace: '1'
    order: 1
    timeout: 60s
  - remediationTemplate:
      apiVersion: '2'
      kind: '2'
      name: '2'
      namespace: '2'
    order: 2
    timeout: 60s
  - remediationTemplate:
      apiVersion: '3'
      kind: '3'
      name: '3'
      namespace: '3'
    order: 3
    timeout: 60s
  - remediationTemplate:
      apiVersion: '4'
      kind: '4'
      name: '4'
      namespace: '4'
    order: 4
    timeout: 60s
  - remediationTemplate:
      apiVersion: '5'
      kind: '5'
      name: '5'
      namespace: '5'
    order: 5
    timeout: 60s
  - remediationTemplate:
      apiVersion: '6'
      kind: '6'
      name: '6'
      namespace: '6'
    order: 6
    timeout: 60s
  - remediationTemplate:
      apiVersion: '7'
      kind: '7'
      name: '7'
      namespace: '7'
    order: 7
    timeout: 60s
  - remediationTemplate:
      apiVersion: '8'
      kind: '8'
      name: '8'
      namespace: '8'
    order: 8
    timeout: 60s
  - remediationTemplate:
      apiVersion: '9'
      kind: '9'
      name: '9'
      namespace: '9'
    order: 9
    timeout: 60s
  - remediationTemplate:
      apiVersion: '10'
      kind: '10'
      name: '10'
      namespace: '10'
    order: 10
    timeout: 60s
  - remediationTemplate:
      apiVersion: '11'
      kind: '11'
      name: '11'
      namespace: '11'
    order: 11
    timeout: 60s
  - remediationTemplate:
      apiVersion: '12'
      kind: '12'
      name: '12'
      namespace: '12'
    order: 12
    timeout: 60s
  - remediationTemplate:
      apiVersion: '13'
      kind: '13'
      name: '13'
      namespace: '13'
    order: 13
    timeout: 60s
  - remediationTemplate:
      apiVersion: '14'
      kind: '14'
      name: '14'
      namespace: '14'
    order: 14
    timeout: 60s
  - remediationTemplate:
      apiVersion: '15'
      kind: '15'
      name: '15'
      namespace: '15'
    order: 15
    timeout: 60s
  - remediationTemplate:
      apiVersion: '16'
      kind: '16'
      name: '16'
      namespace: '16'
    order: 16
    timeout: 60s
  - remediationTemplate:
      apiVersion: '17'
      kind: '17'
      name: '17'
      namespace: '17'
    order: 17
    timeout: 60s
  - remediationTemplate:
      apiVersion: '18'
      kind: '18'
      name: '18'
      namespace: '18'
    order: 18
    timeout: 60s
  - remediationTemplate:
      apiVersion: '19'
      kind: '19'
      name: '19'
      namespace: '19'
    order: 19
    timeout: 60s
  - remediationTemplate:
      apiVersion: '20'
      kind: '20'
      name: '20'
      namespace: '20'
    order: 20
    timeout: 60s
  - remediationTemplate:
      apiVersion: '21'
      kind: '21'
      name: '21'
      namespace: '21'
    order: 21
    timeout: 60s
  - remediationTemplate:
      apiVersion: '22'
      kind: '22'
      name: '22'
      namespace: '22'
    order: 22
    timeout: 60s
  - remediationTemplate:
      apiVersion: '23'
      kind: '23'
      name: '23'
      namespace: '23'
    order: 23
    timeout: 60s
  - remediationTemplate:
      apiVersion: '24'
      kind: '24'
      name: '24'
      namespace: '24'
    order: 24
    timeout: 60s
  - remediationTemplate:
      apiVersion: '25'
      kind: '25'
      name: '25'
      namespace: '25'
    order: 25
    timeout: 60s
  - remediationTemplate:
      apiVersion: '26'
      kind: '26'
      name: '26'
      namespace: '26'
    order: 26
    timeout: 60s
  - remediationTemplate:
      apiVersion: '27'
      kind: '27'
      name: '27'
      namespace: '27'
    order: 27
    timeout: 60s
  - remediationTemplate:
      apiVersion: '28'
      kind: '28'
      name: '28'
      namespace: '28'
    order: 28
    timeout: 60s
  - remediationTemplate:
      apiVersion: '29'
      kind: '29'
      name: '29'
      namespace: '29'
    order: 29
    timeout: 60s
  - remediationTemplate:
      apiVersion: '30'
      kind: '30'
      name: '30'
      namespace: '30'
    order: 30
    timeout: 60s
  - remediationTemplate:
      apiVersion: '31'
      kind: '31'
      name: '31'
      namespace: '31'
    order: 31
    timeout: 60s
  - remediationTemplate:
      apiVersion: '32'
      kind: '32'
      name: '32'
      namespace: '32'
    order: 32
    timeout: 60s
  - remediationTemplate:
      apiVersion: '33'
      kind: '33'
      name: '33'
      namespace: '33'
    order: 33
    timeout: 60s
  - remediationTemplate:
      apiVersion: '34'
      kind: '34'
      name: '34'
      namespace: '34'
    order: 34
    timeout: 60s
  - remediationTemplate:
      apiVersion: '35'
      kind: '35'
      name: '35'
      namespace: '35'
    order: 35
    timeout: 60s
  - remediationTemplate:
      apiVersion: '36'
      kind: '36'
      name: '36'
      namespace: '36'
    order: 36
    timeout: 60s
  - remediationTemplate:
      apiVersion: '37'
      kind: '37'
      name: '37'
      namespace: '37'
    order: 37
    timeout: 60s
  - remediationTemplate:
      apiVersion: '38'
      kind: '38'
      name: '38'
      namespace: '38'
    order: 38
    timeout: 60s
  - remediationTemplate:
      apiVersion: '39'
      kind: '39'
      name: '39'
      namespace: '39'
    order: 39
    timeout: 60s
  - remediationTemplate:
      apiVersion: '40'
      kind: '40'
      name: '40'
      namespace: '40'
    order: 40
    timeout: 60s
  - remediationTemplate:
      apiVersion: '41'
      kind: '41'
      name: '41'
      namespace: '41'
    order: 41
    timeout: 60s
  - remediationTemplate:
      apiVersion: '42'
      kind: '42'
      name: '42'
      namespace: '42'
    order: 42
    timeout: 60s
  - remediationTemplate:
      apiVersion: '43'
      kind: '43'
      name: '43'
      namespace: '43'
    order: 43
    timeout: 60s
  - remediationTemplate:
      apiVersion: '44'
      kind: '44'
      name: '44'
      namespace: '44'
    order: 44
    timeout: 60s
  - remediationTemplate:
      apiVersion: '45'
      kind: '45'
      name: '45'
      namespace: '45'
    order: 45
    timeout: 60s
  - remediationTemplate:
      apiVersion: '46'
      kind: '46'
      name: '46'
      namespace: '46'
    order: 46
    timeout: 60s
  - remediationTemplate:
      apiVersion: '47'
      kind: '47'
      name: '47'
      namespace: '47'
    order: 47
    timeout: 60s
  - remediationTemplate:
      apiVersion: '48'
      kind: '48'
      name: '48'
      namespace: '48'
    order: 48
    timeout: 60s
  - remediationTemplate:
      apiVersion: '49'
      kind: '49'
      name: '49'
      namespace: '49'
    order: 49
    timeout: 60s
  - remediationTemplate:
      apiVersion: '50'
      kind: '50'
      name: '50'
      namespace: '50'
    order: 50
    timeout: 60s
  - remediationTemplate:
      apiVersion: '51'
      kind: '51'
      name: '51'
      namespace: '51'
    order: 51
    timeout: 60s
  - remediationTemplate:
      apiVersion: '52'
      kind: '52'
      name: '52'
      namespace: '52'
    order: 52
    timeout: 60s
  - remediationTemplate:
      apiVersion: '53'
      kind: '53'
      name: '53'
      namespace: '53'
    order: 53
    timeout: 60s
  - remediationTemplate:
      apiVersion: '54'
      kind: '54'
      name: '54'
      namespace: '54'
    order: 54
    timeout: 60s
  - remediationTemplate:
      apiVersion: '55'
      kind: '55'
      name: '55'
      namespace: '55'
    order: 55
    timeout: 60s
  - remediationTemplate:
      apiVersion: '56'
      kind: '56'
      name: '56'
      namespace: '56'
    order: 56
    timeout: 60s
  - remediationTemplate:
      apiVersion: '57'
      kind: '57'
      name: '57'
      namespace: '57'
    order: 57
    timeout: 60s
  - remediationTemplate:
      apiVersion: '58'
      kind: '58'
      name: '58'
      namespace: '58'
    order: 58
    timeout: 60s
  - remediationTemplate:
      apiVersion: '59'
      kind: '59'
      name: '59'
      namespace: '59'
    order: 59
    timeout: 60s
  - remediationTemplate:
      apiVersion: '60'
      kind: '60'
      name: '60'
      namespace: '60'
    order: 60
    timeout: 60s
  - remediationTemplate:
      apiVersion: '61'
      kind: '61'
      name: '61'
      namespace: '61'
    order: 61
    timeout: 60s
  - remediationTemplate:
      apiVersion: '62'
      kind: '62'
      name: '62'
      namespace: '62'
    order: 62
    timeout: 60s
  - remediationTemplate:
      apiVersion: '63'
      kind: '63'
      name: '63'
      namespace: '63'
    order: 63
    timeout: 60s
  - remediationTemplate:
      apiVersion: '64'
      kind: '64'
      name: '64'
      namespace: '64'
    order: 64
    timeout: 60s
  - remediationTemplate:
      apiVersion: '65'
      kind: '65'
      name: '65'
      namespace: '65'
    order: 65
    timeout: 60s
  - remediationTemplate:
      apiVersion: '66'
      kind: '66'
      name: '66'
      namespace: '66'
    order: 66
    timeout: 60s
  - remediationTemplate:
      apiVersion: '67'
      kind: '67'
      name: '67'
      namespace: '67'
    order: 67
    timeout: 60s
  - remediationTemplate:
      apiVersion: '68'
      kind: '68'
      name: '68'
      namespace: '68'
    order: 68
    timeout: 60s
  - remediationTemplate:
      apiVersion: '69'
      kind: '69'
      name: '69'
      namespace: '69'
    order: 69
    timeout: 60s
  - remediationTemplate:
      apiVersion: '70'
      kind: '70'
      name: '70'
      namespace: '70'
    order: 70
    timeout: 60s
  - remediationTemplate:
      apiVersion: '71'
      kind: '71'
      name: '71'
      namespace: '71'
    order: 71
    timeout: 60s
  - remediationTemplate:
      apiVersion: '72'
      kind: '72'
      name: '72'
      namespace: '72'
    order: 72
    timeout: 60s
  - remediationTemplate:
      apiVersion: '73'
      kind: '73'
      name: '73'
      namespace: '73'
    order: 73
    timeout: 60s
  - remediationTemplate:
      apiVersion: '74'
      kind: '74'
      name: '74'
      namespace: '74'
    order: 74
    timeout: 60s
  - remediationTemplate:
      apiVersion: '75'
      kind: '75'
      name: '75'
      namespace: '75'
    order: 75
    timeout: 60s
  - remediationTemplate:
      apiVersion: '76'
      kind: '76'
      name: '76'
      namespace: '76'
    order: 76
    timeout: 60s
  - remediationTemplate:
      apiVersion: '77'
      kind: '77'
      name: '77'
      namespace: '77'
    order: 77
    timeout: 60s
  - remediationTemplate:
      apiVersion: '78'
      kind: '78'
      name: '78'
      namespace: '78'
    order: 78
    timeout: 60s
  - remediationTemplate:
      apiVersion: '79'
      kind: '79'
      name: '79'
      namespace: '79'
    order: 79
    timeout: 60s
  - remediationTemplate:
      apiVersion: '80'
      kind: '80'
      name: '80'
      namespace: '80'
    order: 80
    timeout: 60s
  - remediationTemplate:
      apiVersion: '81'
      kind: '81'
      name: '81'
      namespace: '81'
    order: 81
    timeout: 60s
  - remediationTemplate:
      apiVersion: '82'
      kind: '82'
      name: '82'
      namespace: '82'
    order: 82
    timeout: 60s
  - remediationTemplate:
      apiVersion: '83'
      kind: '83'
      name: '83'
      namespace: '83'
    order: 83
    timeout: 60s
  - remediationTemplate:
      apiVersion: '84'
      kind: '84'
      name: '84'
      namespace: '84'
    order: 84
    timeout: 60s
  - remediationTemplate:
      apiVersion: '85'
      kind: '85'
      name: '85'
      namespace: '85'
    order: 85
    timeout: 60s
  - remediationTemplate:
      apiVersion: '86'
      kind: '86'
      name: '86'
      namespace: '86'
    order: 86
    timeout: 60s
  - remediationTemplate:
      apiVersion: '87'
      kind: '87'
      name: '87'
      namespace: '87'
    order: 87
    timeout: 60s
  - remediationTemplate:
      apiVersion: '88'
      kind: '88'
      name: '88'
      namespace: '88'
    order: 88
    timeout: 60s
  - remediationTemplate:
      apiVersion: '89'
      kind: '89'
      name: '89'
      namespace: '89'
    order: 89
    timeout: 60s
  - remediationTemplate:
      apiVersion: '90'
      kind: '90'
      name: '90'
      namespace: '90'
    order: 90
    timeout: 60s
  - remediationTemplate:
      apiVersion: '91'
      kind: '91'
      name: '91'
      namespace: '91'
    order: 91
    timeout: 60s
  - remediationTemplate:
      apiVersion: '92'
      kind: '92'
      name: '92'
      namespace: '92'
    order: 92
    timeout: 60s
  - remediationTemplate:
      apiVersion: '93'
      kind: '93'
      name: '93'
      namespace: '93'
    order: 93
    timeout: 60s
  - remediationTemplate:
      apiVersion: '94'
      kind: '94'
      name: '94'
      namespace: '94'
    order: 94
    timeout: 60s
  - remediationTemplate:
      apiVersion: '95'
      kind: '95'
      name: '95'
      namespace: '95'
    order: 95
    timeout: 60s
  - remediationTemplate:
      apiVersion: '96'
      kind: '96'
      name: '96'
      namespace: '96'
    order: 96
    timeout: 60s
  - remediationTemplate:
      apiVersion: '97'
      kind: '97'
      name: '97'
      namespace: '97'
    order: 97
    timeout: 60s
  - remediationTemplate:
      apiVersion: '98'
      kind: '98'
      name: '98'
      namespace: '98'
    order: 98
    timeout: 60s
  - remediationTemplate:
      apiVersion: '99'
      kind: '99'
      name: '99'
      namespace: '99'
    order: 99
    timeout: 60s
  selector:
    matchExpressions:
    - key: node-role.kubernetes.io/worker
      operator: Exists
  unhealthyConditions:
  - type: Ready
    status: "False"
    duration: 30s
  - type: Ready
    status: Unknown
    duration: 30s
